
struct Pixel
{
	// Front (visible) buffer color.
	float f_r;
	float f_g;
	float f_b;

	// Back (source) buffer color.
	float b_r;
	float b_g;
	float b_b;

	// Difference buffer.
	float d_r;
	float d_g;
	float d_b;
};

void compute_diff( Pixel* p );
void consume_diff( Pixel* p, float d, char color );
int image_width( char* file );
int image_height( char* file );
float load_pixels( Pixel** p, char* file, int width, int height );
float load_random( Pixel**p, int width, int height );
void save_pixels( Pixel** p, char* file, int width, int height );
