#include <qdialog.h>
#include <qlabel.h>
#include <qlistview.h>
#include <qtooltip.h>

class SceneDialog :
	public QDialog
{
	Q_OBJECT
public:
	SceneDialog( QWidget* w );
	~SceneDialog(void);

private slots:
	void nil() {};

	void choose_bg();

	void selected( QListViewItem* i );

	void add();
	void remove();

	void explore();
	void autoload();

	void ok();

private:
	void load_scenes();
	bool save_scenes();

	void refresh_background();

	QString bgfile;
	QLabel* background;
	QListView* scenes;

	QLabel* bg;
	QLabel* sc;

	QPushButton* del;
	QPushButton* aut;
};
